Bug 133998 - [patch] x11-drivers/xf86-input-synaptics: upgrade to 1.1.0
Summary: [patch] x11-drivers/xf86-input-synaptics: upgrade to 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-25 13:40 UTC by Eygene Ryabinkin
Modified: 2009-04-25 20:30 UTC (History)
0 users

See Also:


Attachments
port-upgrade-to-1.1.0.diff (3.29 KB, patch)
2009-04-25 13:40 UTC, Eygene Ryabinkin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2009-04-25 13:40:03 UTC
Synaptics touchpad driver version 1.1.0 for Xorg is out: [1].
FreeBSD port is still at 0.99.3.

Fix: The following patch upgrades the port, adds some new @dirrmtry
directives, creates directory for HAL policy and patches configure to
install header files to the place specified by the port, not by
pkg-config.

It works for my laptop without problems for around a week.
How-To-Repeat: 
[1] http://cgit.freedesktop.org/xorg/driver/xf86-input-synaptics/tag/?id=xf86-input-synaptics-1.1.0
Comment 1 Edwin Groothuis freebsd_committer 2009-04-25 13:40:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Robert Noland freebsd_committer 2009-04-25 16:22:40 UTC
On Sat, 2009-04-25 at 16:35 +0400, Eygene Ryabinkin wrote:
> >Number:         133998
> >Category:       ports
> >Synopsis:       [patch] x11-drivers/xf86-input-synaptics: upgrade to 1.1.0
> >Confidential:   no
> >Severity:       serious
> >Priority:       medium
> >Responsible:    freebsd-ports-bugs
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          sw-bug
> >Submitter-Id:   current-users
> >Arrival-Date:   Sat Apr 25 12:40:03 UTC 2009
> >Closed-Date:
> >Last-Modified:
> >Originator:     Eygene Ryabinkin
> >Release:        FreeBSD 7.2-PRERELEASE amd64
> >Organization:
> Code Labs
> >Environment:
> 
> System: FreeBSD 7.2-PRERELEASE amd64
> 
> >Description:
> 
> Synaptics touchpad driver version 1.1.0 for Xorg is out: [1].
> FreeBSD port is still at 0.99.3.
> 
> >How-To-Repeat:
> 
> [1] http://cgit.freedesktop.org/xorg/driver/xf86-input-synaptics/tag/?id=xf86-input-synaptics-1.1.0
> 
> >Fix:
> 
> The following patch upgrades the port, adds some new @dirrmtry
> directives, creates directory for HAL policy and patches configure to
> install header files to the place specified by the port, not by
> pkg-config.
> 
> It works for my laptop without problems for around a week.


Ok, it was the testing part that I hadn't gotten around to yet...  Along
with the fact that all I have to test with are actually GlidePoint and
not real Synaptics.  This version is supposed to change around how the
driver is configured a fair amount, iirc you should be able to do
configuration via xinput.  Have you tested any of that?

robert.

> --- port-upgrade-to-1.1.0.diff begins here ---
> >From 38b9e6aa03c734daaebd27e87c5deef304f7b1bd Mon Sep 17 00:00:00 2001
> From: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
> Date: Sat, 25 Apr 2009 00:25:16 +0400
> 
> Upstream package was recently updated to 1.1.0, so we should catch
> these changes.
> 
> Signed-off-by: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
> ---
>  x11-drivers/xf86-input-synaptics/Makefile          |    4 ++--
>  x11-drivers/xf86-input-synaptics/distinfo          |    6 +++---
>  .../xf86-input-synaptics/files/patch-configure     |   15 +++++++++++++++
>  x11-drivers/xf86-input-synaptics/pkg-plist         |    4 ++++
>  4 files changed, 24 insertions(+), 5 deletions(-)
>  create mode 100644 x11-drivers/xf86-input-synaptics/files/patch-configure
> 
> diff --git a/x11-drivers/xf86-input-synaptics/Makefile b/x11-drivers/xf86-input-synaptics/Makefile
> index 4c691d7..e94ccd5 100644
> --- a/x11-drivers/xf86-input-synaptics/Makefile
> +++ b/x11-drivers/xf86-input-synaptics/Makefile
> @@ -6,8 +6,7 @@
>  #
>  
>  PORTNAME=	xf86-input-synaptics
> -PORTVERSION=	0.99.3
> -PORTREVISION=	1
> +PORTVERSION=	1.1.0
>  CATEGORIES=	x11-drivers
>  
>  MAINTAINER=	x11@FreeBSD.org
> @@ -24,6 +23,7 @@ MAN1=		syndaemon.1 \
>  MAN4=		synaptics.4x
>  
>  post-install:
> +	${MKDIR} ${PREFIX}/share/hal/fdi/policy/10osvendor
>  	${INSTALL_DATA} ${WRKSRC}/fdi/11-x11-synaptics.fdi \
>  		${PREFIX}/share/hal/fdi/policy/10osvendor/
>  
> diff --git a/x11-drivers/xf86-input-synaptics/distinfo b/x11-drivers/xf86-input-synaptics/distinfo
> index b7ce9b8..6df7613 100644
> --- a/x11-drivers/xf86-input-synaptics/distinfo
> +++ b/x11-drivers/xf86-input-synaptics/distinfo
> @@ -1,3 +1,3 @@
> -MD5 (xorg/driver/xf86-input-synaptics-0.99.3.tar.bz2) = 735a798e0f68c65d98e3d6b092b56d29
> -SHA256 (xorg/driver/xf86-input-synaptics-0.99.3.tar.bz2) = 1a31962e05ff8480e1d97e0cd33b071fdc9a128cf71c5ad05428e5761be4f4b2
> -SIZE (xorg/driver/xf86-input-synaptics-0.99.3.tar.bz2) = 284946
> +MD5 (xorg/driver/xf86-input-synaptics-1.1.0.tar.bz2) = d9a05d53c728400e00e6bc146758c6e5
> +SHA256 (xorg/driver/xf86-input-synaptics-1.1.0.tar.bz2) = a72288348d27dd1d075aacb7286aac4e2182f518c069b177e72f3179de56bfc4
> +SIZE (xorg/driver/xf86-input-synaptics-1.1.0.tar.bz2) = 294645
> diff --git a/x11-drivers/xf86-input-synaptics/files/patch-configure b/x11-drivers/xf86-input-synaptics/files/patch-configure
> new file mode 100644
> index 0000000..89d24af
> --- /dev/null
> +++ b/x11-drivers/xf86-input-synaptics/files/patch-configure
> @@ -0,0 +1,15 @@
> +sdkdir hunk: we want the port to install header files to the
> +location specified during the port build and not to the location
> +specified by Xorg's pkg-config file.
> +
> +--- configure.orig	2009-04-25 15:11:21.000000000 +0400
> ++++ configure	2009-04-25 15:14:27.000000000 +0400
> +@@ -21128,7 +21128,7 @@
> + $as_echo "yes" >&6; }
> + 	:
> + fi
> +-sdkdir=$(pkg-config --variable=sdkdir xorg-server)
> ++sdkdir="${prefix}/include/xorg"
> + 
> + 
> + CFLAGS="$CFLAGS $XORG_CFLAGS "' -I$(top_srcdir)/src'
> diff --git a/x11-drivers/xf86-input-synaptics/pkg-plist b/x11-drivers/xf86-input-synaptics/pkg-plist
> index b270639..7fa2267 100644
> --- a/x11-drivers/xf86-input-synaptics/pkg-plist
> +++ b/x11-drivers/xf86-input-synaptics/pkg-plist
> @@ -10,3 +10,7 @@ share/hal/fdi/policy/10osvendor/11-x11-synaptics.fdi
>  @dirrmtry lib/xorg/modules
>  @dirrmtry lib/xorg
>  @dirrmtry include/xorg
> +@dirrmtry share/hal/fdi/policy/10osvendor
> +@dirrmtry share/hal/fdi/policy
> +@dirrmtry share/hal/fdi
> +@dirrmtry share/hal

-- 
Robert Noland <rnoland@FreeBSD.org>
FreeBSD
Comment 3 Eygene Ryabinkin 2009-04-25 18:42:30 UTC
Robert, good day.

Sat, Apr 25, 2009 at 10:22:40AM -0500, Robert Noland wrote:
> On Sat, 2009-04-25 at 16:35 +0400, Eygene Ryabinkin wrote:
> > The following patch upgrades the port, adds some new @dirrmtry
> > directives, creates directory for HAL policy and patches configure to
> > install header files to the place specified by the port, not by
> > pkg-config.
> > 
> > It works for my laptop without problems for around a week.
> 
> Ok, it was the testing part that I hadn't gotten around to yet...  Along
> with the fact that all I have to test with are actually GlidePoint and
> not real Synaptics.  This version is supposed to change around how the
> driver is configured a fair amount, iirc you should be able to do
> configuration via xinput.  Have you tested any of that?

Yes, XInput configuration works like a charm.  For example,
-----
$ xinput list-props touchpad
Device 'touchpad':
	Device Enabled (90):	1
	Synaptics Edges (221):	1700, 0, 5000, 0
	Synaptics Finger (222):	25, 0, 30
	Synaptics Tap Time (223):	180
	Synaptics Tap Move (224):	220
	Synaptics Tap Durations (225):	180, 0, 180
	Synaptics Tap FastTap (226):	0
	Synaptics Middle Button Timeout (227):	75
	Synaptics Two-Finger Pressure (228):	257
	Synaptics Two-Finger Width (229):	7
	Synaptics Scrolling Distance (230):	70, 0
	Synaptics Edge Scrolling (231):	1, 0, 0
	Synaptics Two-Finger Scrolling (232):	0, 0
	Synaptics Move Speed (233):	0.060000, 0.000000, 0.060000, 0.000000
	Synaptics Edge Motion Pressure (234):	30, 0
	Synaptics Edge Motion Speed (235):	1, 0
	Synaptics Edge Motion Always (236):	0
	Synaptics Button Scrolling (237):	1, 1
	Synaptics Button Scrolling Repeat (238):	1, 1
	Synaptics Button Scrolling Time (239):	100
	Synaptics Off (240):	0
	Synaptics Guestmouse Off (241):	0
	Synaptics Locked Drags (242):	0
	Synaptics Locked Drags Timeout (243):	5000
	Synaptics Tap Action (244):	0, 0, 0, 0, 1, 0, 0
	Synaptics Click Action (245):	1, 3, 2
	Synaptics Circular Scrolling (246):	0
	Synaptics Circular Scrolling Distance (247):	0.100000
	Synaptics Circular Scrolling Trigger (248):	0
	Synaptics Circular Pad (249):	0
	Synaptics Palm Detection (250):	0
	Synaptics Palm Dimensions (251):	10, 0
	Synaptics Coasting Speed (252):	0.000000
	Synaptics Pressure Motion (253):	30, 0
	Synaptics Pressure Motion Factor (254):	1.000000, 0.000000
	Synaptics Grab Event Device (255):	1
$ xinput set-int-prop touchpad 90 8 0
$ xinput list-props touchpad
Device 'touchpad':
	Device Enabled (90):	0
	Synaptics Edges (221):	1700, 0, 5000, 0
	Synaptics Finger (222):	25, 0, 30
	Synaptics Tap Time (223):	180
	Synaptics Tap Move (224):	220
	Synaptics Tap Durations (225):	180, 0, 180
	Synaptics Tap FastTap (226):	0
	Synaptics Middle Button Timeout (227):	75
	Synaptics Two-Finger Pressure (228):	257
	Synaptics Two-Finger Width (229):	7
	Synaptics Scrolling Distance (230):	70, 0
	Synaptics Edge Scrolling (231):	1, 0, 0
	Synaptics Two-Finger Scrolling (232):	0, 0
	Synaptics Move Speed (233):	0.060000, 0.000000, 0.060000, 0.000000
	Synaptics Edge Motion Pressure (234):	30, 0
	Synaptics Edge Motion Speed (235):	1, 0
	Synaptics Edge Motion Always (236):	0
	Synaptics Button Scrolling (237):	1, 1
	Synaptics Button Scrolling Repeat (238):	1, 1
	Synaptics Button Scrolling Time (239):	100
	Synaptics Off (240):	0
	Synaptics Guestmouse Off (241):	0
	Synaptics Locked Drags (242):	0
	Synaptics Locked Drags Timeout (243):	5000
	Synaptics Tap Action (244):	0, 0, 0, 0, 1, 0, 0
	Synaptics Click Action (245):	1, 3, 2
	Synaptics Circular Scrolling (246):	0
	Synaptics Circular Scrolling Distance (247):	0.100000
	Synaptics Circular Scrolling Trigger (248):	0
	Synaptics Circular Pad (249):	0
	Synaptics Palm Detection (250):	0
	Synaptics Palm Dimensions (251):	10, 0
	Synaptics Coasting Speed (252):	0.000000
	Synaptics Pressure Motion (253):	30, 0
	Synaptics Pressure Motion Factor (254):	1.000000, 0.000000
	Synaptics Grab Event Device (255):	1
$ xinput set-int-prop touchpad 90 8 1
$ xinput list-props touchpad
Device 'touchpad':
	Device Enabled (90):	1
	Synaptics Edges (221):	1700, 0, 5000, 0
	Synaptics Finger (222):	25, 0, 30
	Synaptics Tap Time (223):	180
	Synaptics Tap Move (224):	220
	Synaptics Tap Durations (225):	180, 0, 180
	Synaptics Tap FastTap (226):	0
	Synaptics Middle Button Timeout (227):	75
	Synaptics Two-Finger Pressure (228):	257
	Synaptics Two-Finger Width (229):	7
	Synaptics Scrolling Distance (230):	70, 0
	Synaptics Edge Scrolling (231):	1, 0, 0
	Synaptics Two-Finger Scrolling (232):	0, 0
	Synaptics Move Speed (233):	0.060000, 0.000000, 0.060000, 0.000000
	Synaptics Edge Motion Pressure (234):	30, 0
	Synaptics Edge Motion Speed (235):	1, 0
	Synaptics Edge Motion Always (236):	0
	Synaptics Button Scrolling (237):	1, 1
	Synaptics Button Scrolling Repeat (238):	1, 1
	Synaptics Button Scrolling Time (239):	100
	Synaptics Off (240):	0
	Synaptics Guestmouse Off (241):	0
	Synaptics Locked Drags (242):	0
	Synaptics Locked Drags Timeout (243):	5000
	Synaptics Tap Action (244):	0, 0, 0, 0, 1, 0, 0
	Synaptics Click Action (245):	1, 3, 2
	Synaptics Circular Scrolling (246):	0
	Synaptics Circular Scrolling Distance (247):	0.100000
	Synaptics Circular Scrolling Trigger (248):	0
	Synaptics Circular Pad (249):	0
	Synaptics Palm Detection (250):	0
	Synaptics Palm Dimensions (251):	10, 0
	Synaptics Coasting Speed (252):	0.000000
	Synaptics Pressure Motion (253):	30, 0
	Synaptics Pressure Motion Factor (254):	1.000000, 0.000000
	Synaptics Grab Event Device (255):	1
-----
And the touchpad really gets disabled after the first set-int-prop
and reenabled back after the second one.  Other options could be
set too -- I had tested some of them.

Here I have native Synaptics beast,
-----
(--) touchpad synaptics touchpad found
(--)  Synaptics Touchpad, model: 0
(--)  Firmware: 6.2
(--)  180 degree mounted touchpad
(--)  Sensor: 1
(--)  new absolute packet format
(--)  Touchpad has extended capability bits
(--)  -> multifinger detection
(--)  -> palm detection
-----
If you need some more tests -- say what are they and I'll try to
perform them.
-- 
Eygene
 _                ___       _.--.   #
 \`.|\..----...-'`   `-._.-'_.-'`   #  Remember that it is hard
 /  ' `         ,       __.--'      #  to read the on-line manual
 )/' _/     \   `-_,   /            #  while single-stepping the kernel.
 `-'" `"\_  ,_.-;_.-\_ ',  fsc/as   #
     _.-'_./   {_.'   ; /           #    -- FreeBSD Developers handbook
    {_.-``-'         {_/            #
Comment 4 dfilter service freebsd_committer 2009-04-25 20:20:09 UTC
rnoland     2009-04-25 19:20:00 UTC

  FreeBSD ports repository

  Modified files:
    x11-drivers/xf86-input-synaptics Makefile distinfo pkg-plist 
  Added files:
    x11-drivers/xf86-input-synaptics/files patch-configure 
  Log:
  Update to 1.1.0
  
  PR:             133998
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru>
  
  Revision  Changes    Path
  1.3       +2 -2      ports/x11-drivers/xf86-input-synaptics/Makefile
  1.2       +3 -3      ports/x11-drivers/xf86-input-synaptics/distinfo
  1.1       +11 -0     ports/x11-drivers/xf86-input-synaptics/files/patch-configure (new)
  1.2       +4 -0      ports/x11-drivers/xf86-input-synaptics/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Robert Noland freebsd_committer 2009-04-25 20:20:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!